> For the complete documentation index, see [llms.txt](https://docs.mdintegrations.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mdintegrations.com/partner-api-reference/patients/workflows/post-patient-data-requests.md).

# Post patient data requests

Submits a formal data request for a patient identified by ID or email, recording whether the requester is a partner or a clinician. Forwards the request to the patient data-request workflow with the resolved platform and requester context.

```json
{"openapi":"3.1.0","info":{"title":"MD Integrations","version":"1.0.0"},"tags":[{"name":"Patients/Workflows"}],"servers":[{"url":"https://api.mdintegrations.dev/v1","description":"Development"}],"security":[{"oauth2":[]}],"components":{"securitySchemes":{"oauth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://api.mdintegrations.dev/v1/partner/auth/token","scopes":{"*":"Full partner account access"}}}}},"schemas":{"PostPatientDataRequestRequest":{"type":"object","properties":{"patient_id":{"type":"string","format":"uuid"},"patient_email":{"type":"string"}},"title":"PostPatientDataRequestRequest"}},"responses":{"ValidationException":{"description":"Validation error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Errors overview."},"errors":{"type":"object","description":"A detailed description of each field that failed validation.","additionalProperties":{"type":"array","items":{"type":"string"}}}},"required":["message","errors"]}}}}}},"paths":{"/partner/patients/data":{"post":{"operationId":"patient.postPatientDataRequest","description":"Submits a formal data request for a patient identified by ID or email, recording whether\nthe requester is a partner or a clinician. Forwards the request to the patient\ndata-request workflow with the resolved platform and requester context.","summary":"Post patient data requests","tags":["Patients/Workflows"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostPatientDataRequestRequest"}}}},"responses":{"200":{"description":"Get the patient's exam;","content":{"application/json":{"schema":{"type":"object"}}}},"422":{"$ref":"#/components/responses/ValidationException"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mdintegrations.com/partner-api-reference/patients/workflows/post-patient-data-requests.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
